GNU bug report logs - #34381
[PATCH 3/5] gnu: Add python-jsonrpc-server.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Brett Gilio <brettg@HIDDEN>; Keywords: fixed patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 34381 <at> debbugs.gnu.org and Brett Gilio <brettg@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34381 <at> debbugs.gnu.org:


Received: (at 34381) by debbugs.gnu.org; 12 Feb 2019 22:09:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 12 17:09:00 2019
Received: from localhost ([127.0.0.1]:45322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtgEe-0003mU-GV
	for submit <at> debbugs.gnu.org; Tue, 12 Feb 2019 17:09:00 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:53316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gtgEd-0003mL-8i
 for 34381 <at> debbugs.gnu.org; Tue, 12 Feb 2019 17:08:59 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id C3D7FF13B;
 Tue, 12 Feb 2019 23:08:57 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id f-vXA2fSb4eo; Tue, 12 Feb 2019 23:08:57 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 0EAA7F139;
 Tue, 12 Feb 2019 23:08:56 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Brett Gilio <brettg@HIDDEN>
Subject: Re: [bug#34381] [PATCH 3/5] gnu: Add python-jsonrpc-server.
References: <878syqsyyb.fsf@HIDDEN>
Date: Tue, 12 Feb 2019 23:08:56 +0100
In-Reply-To: <878syqsyyb.fsf@HIDDEN> (Brett Gilio's message of "Thu, 07
 Feb 2019 22:09:48 -0600")
Message-ID: <874l98hd6v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34381
Cc: 34381 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Brett Gilio <brettg@HIDDEN> skribis:

>>From 6f88f586ca51d5fba375ef52fec8a73f95911bd0 Mon Sep 17 00:00:00 2001
> From: Brett Gilio <brettg@HIDDEN>
> Date: Thu, 7 Feb 2019 22:04:16 -0600
> Subject: [PATCH 3/5] gnu: Add python-jsonrpc-server.
>
> * gnu/packages/python-xyz.scm (python-jsonrpc-server): New variable.

Applied with indentation fixes.




Information forwarded to guix-patches@HIDDEN:
bug#34381; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Feb 2019 04:10:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 07 23:10:01 2019
Received: from localhost ([127.0.0.1]:38767 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grxUH-0006ek-Aw
	for submit <at> debbugs.gnu.org; Thu, 07 Feb 2019 23:10:01 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1grxUG-0006eX-8A
 for submit <at> debbugs.gnu.org; Thu, 07 Feb 2019 23:10:00 -0500
Received: from lists.gnu.org ([209.51.188.17]:44335)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brettg@HIDDEN>) id 1grxUB-0005xR-51
 for submit <at> debbugs.gnu.org; Thu, 07 Feb 2019 23:09:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54026)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brettg@HIDDEN>) id 1grxUA-0003f9-6o
 for guix-patches@HIDDEN; Thu, 07 Feb 2019 23:09:55 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.8 required=5.0 tests=BAYES_05,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brettg@HIDDEN>) id 1grxU9-0005sx-9t
 for guix-patches@HIDDEN; Thu, 07 Feb 2019 23:09:54 -0500
Received: from mout02.posteo.de ([185.67.36.66]:47545)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brettg@HIDDEN>) id 1grxU8-0005qj-VS
 for guix-patches@HIDDEN; Thu, 07 Feb 2019 23:09:53 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 4F20A2400E5
 for <guix-patches@HIDDEN>; Fri,  8 Feb 2019 05:09:51 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1549598991; bh=GIjvMRNQqVAaohxv6zIjKsbFCK0sBKtJWRMSXQOsOCI=;
 h=From:To:Subject:Date:From;
 b=aZtZW/7IerriqqYIPmrHtF/xf2iktNv8/3fNEz7zfLjGbelX/CTKDP0YIM4yfi2PH
 zbKB/hOIQFz7MiGLXreUTIYUV0AX+60XDOO2Mad3/2BPkQtU6b4UlMS9uLVBj3Jsbz
 cto4o58Qlf/l2I5ZXcs6cYS0I5ZNnXY+pWa1L5M+yRF/l3b7tJb2z9PGyLZYhP6dBb
 cU5b+tKaYXQGLIHaPwIrQQohixNiCs0kDQts0RemucMY57bohHDJnOz/wOI9uIM2SY
 9w0EmlLvyTVDO5iH8cein7FlXck7qrWyuYUpSkOXn85lB3hpaR1iNITanwnJ822u2e
 l8ZhTr7m4P14g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43whXZ1wrDz9rxL
 for <guix-patches@HIDDEN>; Fri,  8 Feb 2019 05:09:50 +0100 (CET)
From: Brett Gilio <brettg@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 3/5] gnu: Add python-jsonrpc-server.
Date: Thu, 07 Feb 2019 22:09:48 -0600
Message-ID: <878syqsyyb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline; filename=0003-gnu-Add-python-jsonrpc-server.patch
Content-Description: [PATCH 3/5] gnu: Add python-jsonrpc-server.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.67.36.66
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From 6f88f586ca51d5fba375ef52fec8a73f95911bd0 Mon Sep 17 00:00:00 2001
From: Brett Gilio <brettg@HIDDEN>
Date: Thu, 7 Feb 2019 22:04:16 -0600
Subject: [PATCH 3/5] gnu: Add python-jsonrpc-server.

* gnu/packages/python-xyz.scm (python-jsonrpc-server): New variable.
---
 gnu/packages/python-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 9efbbeba8..5c7241621 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -2523,6 +2523,28 @@ Language (TOML) configuration files.")
     "The Python Language Server (pyls) is an implementation of the Python 3 language specification for the LSP. This tool is used in many text-editing environments to provide a complete and integrated feature-set for programming Python effectively.")
   (license license:expat)))
 
+(define-public python-jsonrpc-server
+  (package
+  (name "python-jsonrpc-server")
+  (version "0.1.2")
+  (source
+    (origin
+      (method url-fetch)
+      (uri (pypi-uri "python-jsonrpc-server" version))
+      (sha256
+        (base32
+          "0m4ykpcdy52x37n1ikysp07j7p8ialcdvvvsrjp3545sn7iiid09"))))
+  (build-system python-build-system)
+  (propagated-inputs
+   `(("python-future" ,python-future)
+     ("python-mock" ,python-mock)
+     ("python-pytest" ,python-pytest)))
+  (home-page
+    "https://github.com/palantir/python-jsonrpc-server")
+  (synopsis "JSON RPC 2.0 server library")
+  (description "An implementation of the JSON RPC 2.0 server library for interoperability with Python.")
+  (license license:expat)))
+
 (define-public python-black
   (package
     (name "python-black")
-- 
2.20.1





Acknowledgement sent to Brett Gilio <brettg@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34381; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 12 Feb 2019 22:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.